{
	"format_version": "1.10.0",
	"particle_effect": {
		"description": {
			"identifier": "shapescape_mb:embers_blow",
			"basic_render_parameters": {
				"material": "particles_blend",
				"texture": "textures/shapescape/mb/particle/piglin_boss/rectangle_glow"
			}
		},
		"components": {
			"minecraft:emitter_initialization": {
				"creation_expression": "v.radius=0.3;v.dir_z_ratio=5;v.speed_min=6;v.speed_max=8;v.air_drag=2;v.life_min=0.5;v.life_max=2;v.emitter_life=0.5;v.size1=0.2;v.size2=0.35;v.size1_age=-0.2;v.size2_age=0.2;v.rate=25;v.max_particles=30;"
			},
			"minecraft:emitter_rate_steady": {
				"spawn_rate": "v.rate",
				"max_particles": "v.max_particles"
			},
			"minecraft:emitter_lifetime_once": {
				"active_time": "v.emitter_life"
			},
			"minecraft:emitter_shape_disc": {
				"radius": "v.radius",
				"plane_normal": "z",
				"direction": [
					"math.random_integer(-1,1)",
					"math.random_integer(-1,1)",
					"-v.dir_z_ratio"
				]
			},
			"minecraft:particle_lifetime_expression": {
				"max_lifetime": "math.random(v.life_min,v.life_max)"
			},
			"minecraft:particle_initial_spin": {
				"rotation": "math.random(-10,10) +90"
			},
			"minecraft:particle_initial_speed": "math.random(v.speed_min,v.speed_max)",
			"minecraft:particle_motion_dynamic": {
				"linear_acceleration": [
					"math.random_integer(-4,4)*2",
					"math.random_integer(-4,4)*2",
					0
				],
				"linear_drag_coefficient": "v.air_drag"
			},
			"minecraft:particle_appearance_billboard": {
				"size": [
					"v.size1+(v.particle_age/v.particle_lifetime)*v.size1_age",
					"v.size2+v.particle_age/v.particle_lifetime*v.size2_age"
				],
				"facing_camera_mode": "rotate_xyz",
				"uv": {
					"texture_width": 256,
					"texture_height": 64,
					"flipbook": {
						"base_UV": [64, 0],
						"size_UV": [32, 64],
						"step_UV": [32, 0],
						"frames_per_second": 20,
						"max_frame": 7,
						"stretch_to_lifetime": true
					}
				}
			},
			"minecraft:particle_appearance_tinting": {
				"color": {
					"interpolant": "v.particle_age",
					"gradient": {
						"0.0": "#FFCAFFFD",
						"0.78": "#FF5DDAFF",
						"1.3": "#FF57A1FD"
					}
				}
			}
		}
	}
}
